Subject: Module auto-loading in standalone guix

From: Mark H Weaver <[email-masked]>
Date: Tue, 22 Jul 2014 15:05:46 -0400

While playing with standalone Guix, I found that I was unable to mount a
FAT-formatted USB drive.  The kernel generated the following error message:

  FAT-fs (sdb1): IO charset iso8859-1 not found

Loading the nls_iso8859_1 kernel module fixes the problem.

Isn't there normally some mechanism for automatically loading such
modules?  On my extremely simple home-built YeeLoong system, based on
Cross [GNU/]Linux From Scratch, and using a recent linux-libre 3.14.13
kernel that also makes nls_iso8859_1 a module, somehow the module is
loaded automatically.

I confess I'm rather ignorant of how this is supposed to work on modern
systems, but I vaguely recall that this is udev's job.  Is that right?

     Regards,
       Mark